# Package org.codehaus.plexus.compiler

Interface Summary
Compiler: The interface of an compiling language processor (aka compiler).

Class Summary
AbstractCompiler
AbstractCompilerTckTest
AbstractCompilerTest
CompilerConfiguration
CompilerError: Deprecated
CompilerMessage: This class encapsulates a message produced by a programming language processor (whether interpreted or compiled).
CompilerOutputStyle
CompilerResult: The result returned from a compiling language processor (aka compiler), possibly including some messages.

Enum Summary
CompilerConfiguration.CompilerReuseStrategy: Re-use strategy of the compiler (implement for java only).
CompilerMessage.Kind: As we are still 1.5 required we use a wrapper to Diagnostic.Kind and some compilers don't know jdk constants.

Exception Summary
CompilerException
CompilerNotImplementedException